# Uses of Interface
org.opensaml.xacml.policy.TargetType

Packages that use TargetType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of TargetType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return TargetType
Modifier and Type
Method
Description
`TargetType`
PolicySetType.`getTarget()`
Gets the target of this policy set.
`TargetType`
PolicyType.`getTarget()`
Gets the target of this policy.
`TargetType`
RuleType.`getTarget()`
Gets the target of this rule.
Methods in org.opensaml.xacml.policy with parameters of type TargetType
Modifier and Type
Method
Description
`void`
PolicySetType.`setTarget(TargetType target)`
Sets the target of this policy set.
`void`
PolicyType.`setTarget(TargetType target)`
Sets the target of this policy.
`void`
RuleType.`setTarget(TargetType target)`
Sets the target of this rule.

## Uses of TargetType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement TargetType
Modifier and Type
Class
Description
`class`
`TargetTypeImpl`
Implementing `TargetType`.
Fields in org.opensaml.xacml.policy.impl declared as TargetType
Modifier and Type
Field
Description
`private TargetType`
PolicySetTypeImpl.`target`
Policy set target.
`private TargetType`
PolicyTypeImpl.`target`
Policy target.
`private TargetType`
RuleTypeImpl.`target`
The rule target.
Methods in org.opensaml.xacml.policy.impl that return TargetType
Modifier and Type
Method
Description
`TargetType`
TargetTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`TargetType`
TargetTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`TargetType`
PolicySetTypeImpl.`getTarget()`
Gets the target of this policy set.
`TargetType`
PolicyTypeImpl.`getTarget()`
Gets the target of this policy.
`TargetType`
RuleTypeImpl.`getTarget()`
Gets the target of this rule.
Methods in org.opensaml.xacml.policy.impl with parameters of type TargetType
Modifier and Type
Method
Description
`void`
PolicySetTypeImpl.`setTarget(TargetType newTarget)`
Sets the target of this policy set.
`void`
PolicyTypeImpl.`setTarget(TargetType newTarget)`
Sets the target of this policy.
`void`
RuleTypeImpl.`setTarget(TargetType newTarget)`
Sets the target of this rule.